package com.bocloud.ims.interfaces.resource.f5;

import com.bocloud.common.model.BocloudResult;
import com.bocloud.common.model.GridBean;
import com.bocloud.common.model.Pager;
import com.bocloud.ims.entity.resource.f5.BiTunnel;

public interface F5BiTunnelService {
    /**
     * 列表
     * @param pager
     * @return
     */
    public BocloudResult<GridBean<BiTunnel>> list(Pager pager);

    /**
     * 添加
     * 
     * @param biTunnel
     * @param userId
     * @return
     */
    public BocloudResult create(BiTunnel biTunnel, Long userId);

    /**
     * 修改
     * 
     * @param biTunnel
     * @param userId
     * @return
     */
    public BocloudResult modify(BiTunnel biTunnel, Long userId);

    /**
     * 删除
     * 
     * @param id
     * @param userId
     * @return
     */
    public BocloudResult remove(Long id, Long userId);

    /**
     * 详细信息
     * 
     * @param id
     * @return
     */
    public BocloudResult<BiTunnel> detail(Long id);

}
